// Package ast defines AST nodes that represents extension's elements
package ast

import (
	gast "github.com/yuin/goldmark/ast"
)

// A Mark struct represents a strikethrough of GFM text.
type Mark struct {
	gast.BaseInline
}

// Dump implements Node.Dump.
func (n *Mark) Dump(source []byte, level int) {
	gast.DumpHelper(n, source, level, nil, nil)
}

// KindMark is a NodeKind of the Strikethrough node.
var KindMark = gast.NewNodeKind("Mark")

// Kind implements Node.Kind.
func (n *Mark) Kind() gast.NodeKind {
	return KindMark
}

// NewMark returns a new Strikethrough node.
func NewMark() *Mark {
	return &Mark{}
}
